Bug 983923 - show "invalid option -- h" when running oo-pam-enable -h
show "invalid option -- h" when running oo-pam-enable -h
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 05:52 EDT by Yan Du
Modified: 2015-05-14 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:55:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-07-12 05:52:47 EDT
Description of problem:

ssh into instance and run oo-pam-enable -h / oo-pam-disable -h, "/usr/bin/oo-pam-enable: invalid option -- h" shown.



Version-Release number of selected component (if applicable):
devenv_3492
rhc-1.11.4


How reproducible:
Always


Steps to Reproduce:
1. ssh into instance
2. oo-pam-enable -h 
3. oo-pam-disable -h
   

Actual results:

[root@ip-10-114-37-122 ~]# oo-pam-enable -h
/usr/bin/oo-pam-enable: invalid option -- h
== Synopsis
/usr/bin/oo-pam-enable: Enable pam for a gear
  This command must be run as root.
== Usage
To enable pam for a gear with UUID:
/usr/bin/oo-pam-enable --with-container-uuid UUID
== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message


[root@ip-10-114-37-122 ~]# oo-pam-disable -h
/usr/bin/oo-pam-disable: invalid option -- h
== Synopsis
/usr/bin/oo-pam-disable: Disable pam for a gear
  This command must be run as root.
== Usage
To disable pam for a gear with UUID:
/usr/bin/oo-pam-disable --with-container-uuid UUID
== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message




Expected results:

should not show:
/usr/bin/oo-pam-enable: invalid option -- h
/usr/bin/oo-pam-disable: invalid option -- h
Comment 1 openshift-github-bot 2013-07-19 21:27:46 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/45708b7114c6ffdb28acf0fde19df913fa59c597
Bug 983923 - Add "-h" as an argument to get help.
Comment 2 Yan Du 2013-07-22 21:51:45 EDT
test on devenv_3539

test ok with oo-pam-enable -h, but "/usr/bin/oo-pam-disable: invalid option -- h" still show with oo-pam-disable -h


[root@ip-10-145-149-41 ~]# oo-pam-enable -h
== Synopsis

/usr/bin/oo-pam-enable: Enable pam for a gear
  This command must be run as root.

== Usage

To enable pam for a gear with UUID:
/usr/bin/oo-pam-enable --with-container-uuid UUID

To enable pam for all gears:
/usr/bin/oo-pam-enable --with-all-containers

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message


[root@ip-10-145-149-41 ~]# oo-pam-disable -h
/usr/bin/oo-pam-disable: invalid option -- h
== Synopsis

/usr/bin/oo-pam-disable: Disable pam for a gear
  This command must be run as root.

== Usage

To disable pam for a gear with UUID:
/usr/bin/oo-pam-disable --with-container-uuid UUID

To disable pam for all gears:
/usr/bin/oo-pam-disable --with-all-containers

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message
Comment 3 Rob Millner 2013-07-29 13:22:59 EDT
Good catch, fixed in master.
Comment 4 Yan Du 2013-07-29 22:10:06 EDT
verified on devenv_3580, both oo-pam-disable -h and oo-pam-enable -h works normally.


[root@ip-10-164-36-98 ~]# oo-pam-disable -h
== Synopsis

/usr/bin/oo-pam-disable: Disable pam for a gear
  This command must be run as root.

== Usage

To disable pam for a gear with UUID:
/usr/bin/oo-pam-disable --with-container-uuid UUID

To disable pam for all gears:
/usr/bin/oo-pam-disable --with-all-containers

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message



[root@ip-10-164-36-98 ~]# oo-pam-enable -h
== Synopsis

/usr/bin/oo-pam-enable: Enable pam for a gear
  This command must be run as root.

== Usage

To enable pam for a gear with UUID:
/usr/bin/oo-pam-enable --with-container-uuid UUID

To enable pam for all gears:
/usr/bin/oo-pam-enable --with-all-containers

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message

Note You need to log in before you can comment on or make changes to this bug.